Que de problèmes avec Docman 1.5.2

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Que de problèmes avec Docman 1.5.2

    Bonjour,

    la semaine dernière, nous avons acheté la version 1.5.2 de Docman. Nous utilisons actuellement la version 1.4 en mode legacy et nous souhaitons utiliser ce composant en version native. Nous avons téléchargé le composant et le fichier pour la version française.
    A l'installation nous avons déjà une erreur -1 erreur inconnue. Nous avons l'impression que l'installation se passe correctement car nous avons accès au composant. Après quelques tests, nous constatons que les accents dans la version française sont affichés avec des caractères cabalistiques et il nous est impossible de cliquer sur les documents.
    Bref rien ne fonctionne sur notre site.
    Nous avons déposé un message sur le forum officiel de docman mais pas de réponse.

    Notre question : est ce quelqu'un a réussi à installer docman 1.5.2 en française de manière satisfaisante? Si oui pouvez vous nous donner le lien pour le voir fonctionner?
    Merci par avance pour votre aide
    Isabelle
    Dernière édition par Isabelle62 à 31/01/2010, 15h36 Raison: Tout fonctionne correctement maintenant suite à l'intervention de Sharky
    Isabelle G.
    www.guillenphoto.com

  • #2
    L'idéal est de demandé du support au créateur
    http://www.joomlatools.eu/services/request-a-quote.html
    Ou leur forum

    Mais oui j'ai réussi
    Règlement du forum : http://forum.joomla.fr/faq.php
    Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
    Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
    http://www.iwannaclick.org

    Commentaire


    • #3
      Est-ce que les pré requis sont respectés
      You need the latest Joomla 1.5.x and PHP 5.2 or higher. Please make sure you have these before installing DOCman 1.5.
      http://www.joomlatools.eu/products/docman/read-me.html
      Upgrading from older versions of v1.4.x

      If you have any version of 1.4.x, you can always upgrade to the latest version without loosing your data, EXCEPT the config settings and the theme.

      1. Make a backup copy of /administrator/components/com_docman/docman.config.php to a different location
      OR
      Make screenshots of the configuration pages, or note down the settings
      2. [Optional] If you have custom themes, make sure you backup these separately They're in /components/com_docman/themes
      3. Uninstall DOCman. Your files, documents, categories, licenses, logs and groups will be preserved.
      4. Uninstall the DOCman search plugin, DOClink and the official modules.
      5. Install the latest version of DOCman
      6. Restore docman.config.php or use the settings from the screenshots
      7. Review the configuration settings and save. Make sure that 'Path for storing files' (in the config) is correct.
      Règlement du forum : http://forum.joomla.fr/faq.php
      Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
      Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
      http://www.iwannaclick.org

      Commentaire


      • #4
        Oui, nous avons bien tous les pré requis

        Bonjour Sharky,

        merci pour votre réponse.
        Nous avons tous les pré requis nécessaires : Joomla 1.5.15, PHP 5.2.11.
        Je suis contente de trouver un francophone qui a réussi l'installation. Avez vous installé le produit en version française aussi et avez vous une bonne gestion des accents?
        Avez vous une idée concernant l'erreur -1 que nous avons à l'installation? Nous avons eu aussi cette erreur avec la nouvelle version de ccNewsLetter?

        Isabelle
        Isabelle G.
        www.guillenphoto.com

        Commentaire


        • #5
          Sur l'erreur non pas du tout
          Pour le problème d'accent il suffit de changer le format du fichier. Il est probablement en ANSI et il faut le convertir en UTF-8
          Ceci ce fait très aisément avec notepad++ ou tout autre éditeur
          Règlement du forum : http://forum.joomla.fr/faq.php
          Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
          Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
          http://www.iwannaclick.org

          Commentaire


          • #6
            Quel format si nous utilisons DreamWeaver?

            Bonjour Sharky,

            pour la mise à jour de notre site nous utilisons Dreamweaver. Tous les fichiers pour la version française sont en php. Si nous les ouvrons et si nous voulons les sauver en UTF-8 comme vous l'indiquez, pouvez vous nous dire comment faire si vous le savez?

            Concernant notre erreur -1. Pensez vous que nous puissions directement télécharger DocMan 1.5.2 en injectant directement le composant dans le répertoire administrator et dans components, sans passer par l'installation de Joomla pour éviter l'erreur?
            Est il toujours nécessaire de passer par Joomla pour l'installation?
            J'espère que vous pourrez nous répondre
            Isabelle
            Isabelle G.
            www.guillenphoto.com

            Commentaire


            • #7
              Ouvrir le fichier de langue
              Menu -> modifier -> propriété de la page
              Aller dans "Titre/encodage" et changer Codage mettre "Unicode UTF8"

              Pour l'erreur, poser la question au support. Elle est à l'installation ?
              Règlement du forum : http://forum.joomla.fr/faq.php
              Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
              Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
              http://www.iwannaclick.org

              Commentaire


              • #8
                Nous n'arrivons à avoir les accents malgré votre conseil

                Bonjour Sharky,

                nous avons ouvert les fichiers .php correspondant à la customisation en français et ils étaient bien encodés comme vous l'avez recommandé.
                Nous les transférons ensuite avec SmartFTP vers notre serveur. Nous avons essayé les transferts en mode AUTO, BInaire ou ASCII et le résultat est le même : nous n'avons toujours pas les accents.
                Pourriez vous nous aiguiller vers une piste?
                Isabelle
                Isabelle G.
                www.guillenphoto.com

                Commentaire


                • #9
                  Qu'y a-t-il a la place des accent ?
                  ça aurait dû être ma première question

                  et le transfère FTP est ASCII obligatoirement

                  binary : Cette commande vous fait basculer du mode ASCII (envoi de documents textes) au mode binary (envoi de fichiers en mode binaire, c'est-à-dire pour les fichiers non texte, comme des images ou des programmes)
                  ascii : Bascule du mode binary au mode ascii. Ce mode est le mode par défaut
                  Dernière édition par sharky à 29/01/2010, 07h32
                  Règlement du forum : http://forum.joomla.fr/faq.php
                  Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
                  Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
                  http://www.iwannaclick.org

                  Commentaire


                  • #10
                    Nous transférons bien en mode ASCII

                    Bonjour Sharky,

                    merci pour tenter de nous aider dans cette infernal mise à jour. Vous pouvez vous notre problème d'accent sur la page suivante : http://www.guillenphoto.com/cms/inde...categorie.html

                    Si vous le voulez je peux vous envoyer une copie de la page d'administration qui est quasiment illisible.
                    En ce qui concerne notre pb de l'erreur -1, nous faisons toutes les opérations suggérées par le responsable du développement mais je dois avouer que nous n'avons pas avancé d'un pouce.
                    J'ai bien que nous ne soyons obligés de rester en mode legacy et revenir à la précédente version. Le plus fort est que l'installation de la version 1.4 se passe correctement à chaque fois.

                    Quand vous avez réussi l'installation de DOCman 1.5.2 était ce une mise à jour depuis une version 1.4 ou 1.5?
                    Isabelle
                    Isabelle G.
                    www.guillenphoto.com

                    Commentaire


                    • #11
                      Oui c'était une mise à jour
                      Votre soucis c'est vraiment le fichier de langue
                      Règlement du forum : http://forum.joomla.fr/faq.php
                      Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
                      Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
                      http://www.iwannaclick.org

                      Commentaire


                      • #12
                        Merci pour vos réponses.
                        Maintenant nous attendons les messages postés par Amar sur le site de Joomlatools mais nous avons bien l'impression que nous allons abandonner cette mise à jour. C'est vraiment trop compliqué dans notre cas.
                        Nous allons peut être nous orienter vers Remository.
                        isabelle
                        Isabelle G.
                        www.guillenphoto.com

                        Commentaire


                        • #13
                          Solution svp

                          Bonjour,

                          Le post est indiqué [réglé] mais la solution ne figure pas dans les messages.

                          Pouvez-vous nous dire quelle est la solution svp,

                          Merci,
                          "La connaissance des mots conduit à la connaissance des choses." - Platon

                          Commentaire


                          • #14
                            Tu as quel soucis exactement ?

                            Isabelle en avais 2:
                            - Le FR n'était pas OK
                            - et impossible de télécharger en frontend
                            Règlement du forum : http://forum.joomla.fr/faq.php
                            Comment mettre le post en [Réglé]: http://forum.joomla.fr/announcement.php?f=58
                            Joomla! 3 Le Livre Pour Tous , n'hésitez pas à le lire pour vous aider
                            http://www.iwannaclick.org

                            Commentaire


                            • #15
                              Envoyé par Isabelle62 Voir le message
                              Bonjour,

                              la semaine dernière, nous avons acheté la version 1.5.2 de Docman. Nous utilisons actuellement la version 1.4 en mode legacy et nous souhaitons utiliser ce composant en version native. Nous avons téléchargé le composant et le fichier pour la version française.
                              A l'installation nous avons déjà une erreur -1 erreur inconnue. Nous avons l'impression que l'installation se passe correctement car nous avons accès au composant. Après quelques tests, nous constatons que les accents dans la version française sont affichés avec des caractères cabalistiques et il nous est impossible de cliquer sur les documents.
                              Bref rien ne fonctionne sur notre site.
                              Nous avons déposé un message sur le forum officiel de docman mais pas de réponse.

                              Notre question : est ce quelqu'un a réussi à installer docman 1.5.2 en française de manière satisfaisante? Si oui pouvez vous nous donner le lien pour le voir fonctionner?
                              Merci par avance pour votre aide
                              Isabelle
                              Hello,
                              J'ai eu les mêmes deux problèmes, qui sont séparés.

                              1. [résolu] Le premier, je n'avais pas de titre de document cliquable, ni d'icône de téléchargement. Regarde dans ton backend > plugin si il y a un plugin "Standard buttons". S'il n'y en a pas: http://forum.joomlatools.eu/viewtopi...tart=10#p12930
                              Le boutons apparaissent et le tour est joué. ça marche nickel ensuite.

                              2. Mais toujours pas pour le problème de hiéroglyphes (des points d'interrogation sur des losanges noirs à la place des "é" chez moi). On sèche encore dessus avec jenlain...

                              Commentaire

                              Annonce

                              Réduire
                              1 sur 2 < >

                              C'est [Réglé] et on n'en parle plus ?

                              A quoi ça sert ?
                              La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                              Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                              Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                              Comment ajouter la mention [Réglé] à votre discussion ?
                              1 - Aller sur votre discussion et éditer votre premier message :


                              2 - Cliquer sur la liste déroulante Préfixe.

                              3 - Choisir le préfixe [Réglé].


                              4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                              2 sur 2 < >

                              Assistance au forum - Outil de publication d'infos de votre site

                              Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                              Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                              Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                              UTILISER À VOS PROPRES RISQUES :
                              L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                              Problèmes connus :
                              FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                              Installation :

                              1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                              Archive zip : https://github.com/AFUJ/FPA/zipball/master

                              2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                              3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                              4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                              5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                              6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                              et remplacer www. votresite .com par votre nom de domaine


                              Exemples:
                              Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/
                              Pour executer le script: http://www..com/fpa-fr.php

                              Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/cms/
                              Pour executer le script: http://www..com/cms/fpa-fr.php

                              En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                              Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                              Voir plus
                              Voir moins
                              Travaille ...
                              X